%% Figure 1: Plot the different scenarios for comparison purposes


f = figure;
subplot(2,2,1)
   plot(2005:1:2100, TenS_0530_Sim_results(strmatch('Y_a_t',TenS_0530_var_names,'exact'), 2:97) ,'Color',[0 0.5 1],'LineWidth',2.5,'MarkerSize',3);hold on
   plot(2005:1:2100, Y_a_t_3100_ss_sim ,'Color',[1 0.5 0],'LineWidth',2.5,'MarkerSize',3);hold on
   plot(2005:1:2100, Y_a_t_0500_sim(2:end) ,'Color',[1 0.2 0.2],'LineWidth',2.5,'LineStyle',':','MarkerSize',3);hold off
   title('Output Y^{a}_t','FontSize',11,'FontWeight','Bold');
   legend('2005-2030','2030-2100','2005-2100','Location','SouthWest')
   xlabel ('Years'); ylabel('Level');

   subplot(2,2,2)
   plot(2005:1:2100, TenS_0530_Sim_results(strmatch('P_EM_a_t',TenS_0530_var_names,'exact'), 2:97) ,'Color',[0 0.5 1],'LineWidth',2.5,'MarkerSize',3);hold on
   plot(2005:1:2100, P_EM_a_t_3100_ss_sim ,'Color',[1 0.5 0],'LineWidth',2.5,'MarkerSize',3);hold on
   plot(2005:1:2100, P_EM_a_t_0500_sim(2:end) ,'Color',[1 0.2 0.2],'LineWidth',2.5,'LineStyle',':','MarkerSize',3);hold off
   title('Carbon Price P^{EM}_t','FontSize',11,'FontWeight','Bold');
   legend('2005-2030','2030-2100','2005-2100','Location','SouthWest')
   xlabel ('Years'); ylabel('Level');

   subplot(2,2,3)
   plot(2005:1:2100, TenS_0530_Sim_results(strmatch('ZZ_a_t',TenS_0530_var_names,'exact'), 2:97) ,'Color',[0 0.5 1],'LineWidth',2.5,'MarkerSize',3);hold on
   plot(2005:1:2100, ZZ_a_t_3100_ss_sim ,'Color',[1 0.5 0],'LineWidth',2.5,'MarkerSize',3);hold on
   plot(2005:1:2100, ZZ_a_t_0500_sim(2:end) ,'Color',[1 0.2 0.2],'LineWidth',2.5,'LineStyle',':','MarkerSize',3);hold off
   title('Emissions','FontSize',11,'FontWeight','Bold');
   legend('2005-2030','2030-2100','2005-2100','Location','SouthWest')
   xlabel ('Years');  ylabel('Level');
   
 subplot(2,2,4)
   plot(2005:1:2100, TenS_0530_Sim_results(strmatch('ZZ_a_t',TenS_0530_var_names,'exact'), 2:97)./TenS_0530_Sim_results(strmatch('Y_a_t',TenS_0530_var_names,'exact'), 2:97) / (TenS_0530_Sim_results(strmatch('ZZ_a_t',TenS_0530_var_names,'exact'), 1)./TenS_0530_Sim_results(strmatch('Y_a_t',TenS_0530_var_names,'exact'), 1))  ,'Color',[0 0.5 1],'LineWidth',2.5,'MarkerSize',3);hold on
   plot(2005:1:2100, (ZZ_a_t_3100_ss_sim./Y_a_t_3100_ss_sim) / (TenS_0530_Sim_results(strmatch('ZZ_a_t',TenS_0530_var_names,'exact'), 1)./TenS_0530_Sim_results(strmatch('Y_a_t',TenS_0530_var_names,'exact'), 1))   ,'Color',[1 0.5 0],'LineWidth',2.5,'MarkerSize',3);hold on
   plot(2005:1:2100, kappa_a_t_0500_sim(2:end) ,'Color',[1 0.2 0.2],'LineWidth',2.5,'LineStyle',':','MarkerSize',3);hold off
   title('Emissions Intensity','FontSize',11,'FontWeight','Bold');
   legend('2005-2030','2030-2100','2005-2100','Location','SouthWest')
   xlabel ('Years');
   ylabel('Index, 2005=1');

    dim = [16,9];
    set(gcf,'paperpositionmode','manual','paperunits','inches');
    set(gcf,'papersize',dim,'paperposition',[0,0,dim]);
    print(gcf,'-dpdf','TenS_FlexPrice_Disorderly_Aggregates_Concatenate');
        
%%

%  f = figure;
%  plot(2005:1:2050, ( ( Y_a_t_0500_sim(2:47)/ Y_a_t_0500_sim(1) - 1 ) *100),'k:','LineWidth',6,'MarkerSize',3); hold on
%  plot(2005:1:2050, ( ( Y_1_a_t_0500_sim(2:47)/ Y_1_a_t_0500_sim(1) - 1 ) *100),'k--','LineWidth',1,'MarkerSize',3); hold on
%  plot(2005:1:2050, ( ( Y_2_a_t_0500_sim(2:47)/ Y_2_a_t_0500_sim(1) - 1 ) *100),'g--','LineWidth',1,'MarkerSize',3); hold on
%  plot(2005:1:2050, ( ( Y_3_a_t_0500_sim(2:47)/ Y_3_a_t_0500_sim(1) - 1 ) *100),'b--','LineWidth',1,'MarkerSize',3); hold on
%  plot(2005:1:2050, ( ( Y_4_a_t_0500_sim(2:47)/ Y_4_a_t_0500_sim(1) - 1 ) *100),'r-*','LineWidth',2,'MarkerSize',3); hold on
%  plot(2005:1:2050, ( ( Y_5_a_t_0500_sim(2:47)/ Y_5_a_t_0500_sim(1) - 1 ) *100),'y--','LineWidth',1,'MarkerSize',3); hold on
%  plot(2005:1:2050, ( ( Y_6_a_t_0500_sim(2:47)/ Y_6_a_t_0500_sim(1) - 1 ) *100),'m--','LineWidth',1,'MarkerSize',3); hold on
%  plot(2005:1:2050, ( ( Y_7_a_t_0500_sim(2:47)/ Y_7_a_t_0500_sim(1) - 1 ) *100),'k*','LineWidth',1,'MarkerSize',3); hold on
%  plot(2005:1:2050, ( ( Y_8_a_t_0500_sim(2:47)/ Y_8_a_t_0500_sim(1) - 1 ) *100),'b*','LineWidth',1,'MarkerSize',3); hold on
%  plot(2005:1:2050, ( ( Y_9_a_t_0500_sim(2:47)/ Y_9_a_t_0500_sim(1) - 1 ) *100),'g*','LineWidth',1,'MarkerSize',3); hold on
%  plot(2005:1:2050, ( ( Y_10_a_t_0500_sim(2:47)/ Y_10_a_t_0500_sim(1) - 1 ) *100),'m*','LineWidth',1,'MarkerSize',3); hold off
% % title('Value added Y^{a}_t','FontSize',11,'FontWeight','Bold');
%  xlabel ('Years');
%  ylabel('% from st.st.');
%  
% NACE = string({'A','B','C','D','E','F','G_H_I','J','M_N', 'R_S'});
%  h_legend=legend({'Aggregate',NACE(1),NACE(2),NACE(3),NACE(4),NACE(5),NACE(6),NACE(7),NACE(8),NACE(9), ...
%      NACE(10),}, ...
%      'Orientation','horizontal','Location','SouthOutside','NumColumns',2, 'Position',[0.229687524438347 0.00362453558279717 0.58958331734563 0.104880578576095]);
%     set(h_legend,'FontSize',11,'FontWeight','Bold');
%     sgtitle('Sectoral real gross output, Ten-Sector Model, Flexible Prices, Matching Paths of \kappa and P^{EM}, Disorderly NGFS Scenario');
%     
%     
%     dim = [16,9];
%     set(gcf,'paperpositionmode','manual','paperunits','inches');
%     set(gcf,'papersize',dim,'paperposition',[0,0,dim]);
%     print(gcf,'-dpdf','TenS_FlexPrice_Disorderly_Sectoral_New');
    
   