model;

// ######################################################################### 
// Climate variables
// #########################################################################

@#for co in country 
P_EM_@{co}_t = P_EM_@{co}_ts + shock_P_EM_@{co}_t; //Law of motion for carbon price 
log(epsi_@{co}_t/epsi_@{co}_ts) = rho_eps_@{co} * log(epsi_@{co}_t(-1)/epsi_@{co}_ts) + shock_epsi_@{co}_t; //Law of motion for aggregate TFP
@#endfor

EM_t = (1-rho_EM)*EM_t(-1) + (
@#for co in country 
@#for se in [1:sector]
+ ZZ_@{se}_@{co}_t
@#endfor
@#endfor
);                                                                          //Law of motion for emissions concentration

@#for co in country 
@#for se in [1:sector]
Pen_@{se}_@{co}_t = gama0_@{se}_@{co} + gama1_@{se}_@{co}*EM_t + gama2_@{se}_@{co}*EM_t^2;  //Damage function
ZZ_@{se}_@{co}_t = ((1+shock_epsi_carb_int_@{co}_t)*carb_int_@{se}_@{co})*Y_@{se}_@{co}_t; //Emissions
@#endfor
@#endfor

                                                                            //Aggregate sectoral emissions in a given country
@#for co in country
ZZ_@{co}_t =(
@#for se in [1:sector]
+ ZZ_@{se}_@{co}_t
@#endfor
@#endfor
);

// ######################################################################### 
// Domestic aggregates
// #########################################################################

@#for co in country 
log(R_@{co}_t/R_@{co}_ts) = 0.8^4*log(R_@{co}_t(-1)/R_@{co}_ts) + 1.5*(1-0.8^4)*log(pi_cpi_@{co}_t(-1));        //Modified Taylor-rule

K_@{co}_t = (1-delta)*K_@{co}_t(-1) + I_@{co}_t;                                                            //Law of motion for capital

lambda_@{co}_t = C_@{co}_t^(-sig);                                                        //FOC wrt consumption

1 = betta*lambda_@{co}_t(+1)/lambda_@{co}_t*R_@{co}_t/pi_cpi_@{co}_t(+1);                                   //HH FOC wrt bonds

1 = betta*lambda_@{co}_t(+1)/lambda_@{co}_t*(rk_@{co}_t(+1)+(1-delta)*PI_@{co}_t(+1))/PI_@{co}_t;                        //No arbitrage cond. plus FOC wrt investment/capital

lambda_@{co}_t*w_@{co}_t = kappaN_@{co}*N_@{co}_t^lab_@{co};                              //HH FOC wrt labor

1 = (
@#for se in [1:sector]
+ Psi_con_@{se}_@{co}*P_@{se}_@{co}_t^(-sigc_@{co}/(1-sigc_@{co}))
@#endfor
)^(-(1-sigc_@{co})/sigc_@{co});                                             //Price index derived from opt. problem of cons.-bundler 

pi_cpi_@{co}_t = (
@#for se in [1:sector]
+ Psi_con_@{se}_@{co}*(pi_ppi_@{se}_@{co}_t*P_@{se}_@{co}_t(-1))^(-sigc_@{co}/(1-sigc_@{co}))
@#endfor
)^(-(1-sigc_@{co})/sigc_@{co});                                             //CPI-inflation 

PI_@{co}_t = (
@#for se in [1:sector]
+ Psi_inv_@{se}_@{co}*P_@{se}_@{co}_t^(-sigi_@{co}/(1-sigi_@{co}))
@#endfor
)^(-(1-sigi_@{co})/sigi_@{co});                                             //Price index derived from opt. problem of inv.-bundler 

w_@{co}_t = (
@#for se in [1:sector]
+  omega_N_@{se}_@{co}*w_@{se}_@{co}_t^(-upsi_N_@{co}/(1-upsi_N_@{co}))
@#endfor
)^(-(1-upsi_N_@{co})/upsi_N_@{co});                                         //Wage index derived from opt. problem of labor-bundler

rk_@{co}_t = (
@#for se in [1:sector]
+  omega_K_@{se}_@{co}*rk_@{se}_@{co}_t^(-upsi_K_@{co}/(1-upsi_K_@{co}))
@#endfor
)^(-(1-upsi_K_@{co})/upsi_K_@{co});                                         //Rental rate index derived from opt. problem of capital-bundler

Y_VA_@{co}_t = C_@{co}_t + PI_@{co}_t*I_@{co}_t;

// ######################################################################### 
// Consumption and investmend demand for different goods, relative prices
// ######################################################################### 
@#for se in [1:sector]
C_@{se}_@{co}_t = Psi_con_@{se}_@{co}*(1/P_@{se}_@{co}_t)^(1/(1-sigc_@{co}))*C_@{co}_t;                                                                  //Specific demand for sectoral consumption goods

I_@{se}_@{co}_t = Psi_inv_@{se}_@{co}*(PI_@{co}_t/P_@{se}_@{co}_t)^(1/(1-sigi_@{co}))*I_@{co}_t;                                                         //Specific demand for sectoral investment goods

N_@{se}_@{co}_t = omega_N_@{se}_@{co}*(w_@{co}_t/w_@{se}_@{co}_t)^(1/(1-upsi_N_@{co}))*N_@{co}_t;                                                        //Specific demand for labor types

K_@{se}_@{co}_t = omega_K_@{se}_@{co}*(rk_@{co}_t(+1)/rk_@{se}_@{co}_t(+1))^(1/(1-upsi_K_@{co}))*K_@{co}_t;                                              //Specific demand for capital types   

                                                                                                                                                         //The following eqn is the sectoral market clearing condition
P_@{se}_@{co}_t*Y_@{se}_@{co}_t  = P_@{se}_@{co}_t*C_@{se}_@{co}_t + P_@{se}_@{co}_t*I_@{se}_@{co}_t + ( 
@#for se2 in [1:sector]
+P_@{se}_@{co}_t*H_@{se2}_@{se}_@{co}_t
@#endfor
);

Y_@{se}_@{co}_t = epsi_@{co}_t * epsi_@{se}_@{co}_t*(1-Pen_@{se}_@{co}_t)*(N_@{se}_@{co}_t^alphaN_@{se}_@{co}*K_@{se}_@{co}_t(-1)^(1-alphaN_@{se}_@{co}))^alphaH_@{se}_@{co}*H_@{se}_@{co}_t^(1-alphaH_@{se}_@{co}); //Production technology of perfectly competitive firm

EM_cost_@{se}_@{co}_t = P_EM_@{co}_t*((1+shock_epsi_carb_int_@{co}_t)*carb_int_@{se}_@{co}); //Emissions costs

mc_tild_@{se}_@{co}_t = EM_cost_@{se}_@{co}_t + mc_@{se}_@{co}_t;              //Real marginal costs relevant for pricing (including emissions taxes)

P_@{se}_@{co}_t = mc_tild_@{se}_@{co}_t;                                       //Firm's pricing decision in abscence of nominal price rigidities

w_@{se}_@{co}_t  = alphaH_@{se}_@{co}*alphaN_@{se}_@{co}*mc_@{se}_@{co}_t*Y_@{se}_@{co}_t/N_@{se}_@{co}_t;             //FOC firm cost minimization -> labor

rk_@{se}_@{co}_t = alphaH_@{se}_@{co}*(1-alphaN_@{se}_@{co})*mc_@{se}_@{co}_t*Y_@{se}_@{co}_t/K_@{se}_@{co}_t(-1);     //FOC firm cost minimization -> capital

PH_@{se}_@{co}_t = (1-alphaH_@{se}_@{co})*mc_@{se}_@{co}_t*Y_@{se}_@{co}_t/H_@{se}_@{co}_t;  //FOC firm cost minimization -> intermediates

PH_@{se}_@{co}_t  = (                                                                        
@#for se2 in [1:sector]
+ Psi_@{se}_@{se2}_@{co}*P_@{se2}_@{co}_t^(-sigh_@{se}_@{co}/(1-sigh_@{se}_@{co}))
@#endfor
)^(-(1-sigh_@{se}_@{co})/sigh_@{se}_@{co});                                             //Price index derived from opt. problem of intermediate input bundler in sector se 

@#for se2 in [1:sector]
H_@{se}_@{se2}_@{co}_t = Psi_@{se}_@{se2}_@{co}*(PH_@{se}_@{co}_t/P_@{se2}_@{co}_t)^(1/(1-sigh_@{se}_@{co}))*H_@{se}_@{co}_t; //Optimal amount of sector se2 output in bundle used in sector se 
@#endfor

log(epsi_@{se}_@{co}_t/epsi_@{se}_@{co}_ts) = rho_eps_@{co}*log(epsi_@{se}_@{co}_t(-1)/epsi_@{se}_@{co}_ts) + shock_epsi_@{se}_@{co}_t;  //Law of motion for sectoral TFP

@#endfor
@#endfor


@#for co in country
@#for se in [2:sector]
pi_ppi_1_@{co}_t/pi_ppi_@{se}_@{co}_t = (P_1_a_t/P_@{se}_a_t)*(P_@{se}_a_t(-1)/P_1_a_t(-1));  //(Nominal) PPI-inflation 
@#endfor
@#endfor                                                                   


@#for co in country
Y_@{co}_t =(
@#for se in [1:sector]
+ Y_@{se}_@{co}_t
@#endfor
@#endfor
);

end;


