%% Figures Macro

f = figure;
subplot (3,3,1); 
   plot(2005:1:2050, ( ( Y_a_t(2:47)/ Y_a_t(1) - 1 ) *100),'Color',[0 0.5 1],'LineStyle','-.','LineStyle','-.','LineWidth',2.5,'MarkerSize',3);hold on
   title('Agg. value added Y^{a}_t','FontSize',11,'FontWeight','Bold');
   xlabel ('Years'); ylabel('% from baseline');

subplot (3,3,2); 
   plot(2005:1:2050, ( ( C_a_t(2:47)/ C_a_t(1) - 1 ) *100),'Color',[0 0.5 1],'LineStyle','-.','LineWidth',2.5,'MarkerSize',3);
   title('Consumption C^{a}_t','FontSize',11,'FontWeight','Bold');
   xlabel ('Years'); ylabel('% from baseline');

subplot (3,3,3); 
   plot(2005:1:2050, (( I_a_t(2:47)/ I_a_t(1) - 1 ) *100),'Color',[0 0.5 1],'LineStyle','-.','LineWidth',2.5,'MarkerSize',3);
   title('Investment I^{a}_t','FontSize',11,'FontWeight','Bold');
   xlabel ('Years'); ylabel('% from baseline');

subplot (3,3,4); 
   plot(2005:1:2050,(( N_a_t(2:47)/ N_a_t(1) - 1 ) *100),'Color',[0 0.5 1],'LineStyle','-.','LineWidth',2.5,'MarkerSize',3);
   title('Employment N^{a}_t','FontSize',11,'FontWeight','Bold');
   xlabel ('Years');  ylabel('% from baseline');

subplot (3,3,5); 
   plot(2005:1:2050,( ( w_a_t(2:47)/ w_a_t(1) - 1 ) *100),'Color',[0 0.5 1],'LineStyle','-.','LineWidth',2.5,'MarkerSize',3);
   title('Gross wages w^{a}_t','FontSize',11,'FontWeight','Bold');
   xlabel ('Years'); ylabel('% from baseline');
   
subplot (3,3,6); 
   plot(2005:1:2050, ( ( rk_a_t(2:47)) *100),'Color',[0 0.5 1],'LineStyle','-.','LineWidth',2.5,'MarkerSize',3);
   title('Capital interest r^{k,a}_t','FontSize',11,'FontWeight','Bold');
   xlabel ('Years');   ylabel('APR');
   
subplot (3,3,7); 
   plot(2005:1:2050,( ZZ_a_t(2:47)/ ZZ_a_t(1) ),'Color',[0 0.5 1],'LineStyle','-.','LineWidth',2.5,'MarkerSize',3); 
   title('Emissions (Flow)','FontSize',11,'FontWeight','Bold');
   xlabel ('Years');   ylabel('% from st.st., normalized to unity');
 
subplot (3,3,8); 
   plot(2005:1:2050, ( ( P_EM_a_t(2:47)/ P_EM_a_t(1) - 1 )*100) ,'Color',[0 0.5 1],'LineStyle','-.','LineWidth',2.5,'MarkerSize',3);
   legend('TenS-Model','Location','SouthOutside');
   title('Emissions Price P^{EM}_t','FontSize',11,'FontWeight','Bold');
   xlabel ('Years');  ylabel('% from baseline');

subplot (3,3,9); 
   plot(2005:1:2050, P_EM_a_t(2:47).*ZZ_a_t(2:47)./Y_a_t(2:47) *100 ,'Color',[0 0.5 1],'LineStyle','-.','LineWidth',2.5,'MarkerSize',3);
   title('Emissions cost share of GDP','FontSize',11,'FontWeight','Bold');
   xlabel ('Quarters');   ylabel('%');

sgtitle('Aggregate variables, ten-sector model, flexible prices');

dim = [16,9];
set(gcf,'paperpositionmode','manual','paperunits','inches');
set(gcf,'papersize',dim,'paperposition',[0,0,dim]);
print(gcf,'-dpdf','TenS_FlexPrice_Aggregates');
%%

f = figure;
subplot (2,2,1); 
 plot(2005:1:2050, ( ( Y_1_a_t(2:47)/ Y_1_a_t(1) - 1 ) *100),'k--','LineWidth',1,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( Y_2_a_t(2:47)/ Y_2_a_t(1) - 1 ) *100),'g--','LineWidth',1,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( Y_3_a_t(2:47)/ Y_3_a_t(1) - 1 ) *100),'b--','LineWidth',1,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( Y_4_a_t(2:47)/ Y_4_a_t(1) - 1 ) *100),'r-*','LineWidth',2,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( Y_5_a_t(2:47)/ Y_5_a_t(1) - 1 ) *100),'y--','LineWidth',1,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( Y_6_a_t(2:47)/ Y_6_a_t(1) - 1 ) *100),'m--','LineWidth',1,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( Y_7_a_t(2:47)/ Y_7_a_t(1) - 1 ) *100),'k*','LineWidth',1,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( Y_8_a_t(2:47)/ Y_8_a_t(1) - 1 ) *100),'b*','LineWidth',1,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( Y_9_a_t(2:47)/ Y_9_a_t(1) - 1 ) *100),'g*','LineWidth',2.5,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( Y_10_a_t(2:47)/ Y_10_a_t(1) - 1 ) *100),'m*','LineWidth',1,'MarkerSize',3); hold off
   title('Output Y^{a}_t','FontSize',11,'FontWeight','Bold');
   xlabel ('Years'); ylabel('% from baseline');
subplot (2,2,2); 
 plot(2005:1:2050, ( ( C_1_a_t(2:47)/ C_1_a_t(1) - 1 ) *100),'k--','LineWidth',1,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( C_2_a_t(2:47)/ C_2_a_t(1) - 1 ) *100),'g--','LineWidth',1,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( C_3_a_t(2:47)/ C_3_a_t(1) - 1 ) *100),'b--','LineWidth',1,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( C_4_a_t(2:47)/ C_4_a_t(1) - 1 ) *100),'r-*','LineWidth',2,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( C_5_a_t(2:47)/ C_5_a_t(1) - 1 ) *100),'y--','LineWidth',1,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( C_6_a_t(2:47)/ C_6_a_t(1) - 1 ) *100),'m--','LineWidth',1,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( C_7_a_t(2:47)/ C_7_a_t(1) - 1 ) *100),'k*','LineWidth',1,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( C_8_a_t(2:47)/ C_8_a_t(1) - 1 ) *100),'b*','LineWidth',1,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( C_9_a_t(2:47)/ C_9_a_t(1) - 1 ) *100),'g*','LineWidth',2.5,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( C_10_a_t(2:47)/ C_10_a_t(1) - 1 ) *100),'m*','LineWidth',1,'MarkerSize',3); hold off 
 title('Consumption C^{a}_t','FontSize',11,'FontWeight','Bold');
   xlabel ('Years'); ylabel('% from baseline');

subplot (2,2,3); 
 plot(2005:1:2050, ( ( I_1_a_t(2:47)/ I_1_a_t(1) - 1 ) *100),'k--','LineWidth',1,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( I_2_a_t(2:47)/ I_2_a_t(1) - 1 ) *100),'g--','LineWidth',1,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( I_3_a_t(2:47)/ I_3_a_t(1) - 1 ) *100),'b--','LineWidth',1,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( I_4_a_t(2:47)/ I_4_a_t(1) - 1 ) *100),'r-*','LineWidth',2,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( I_5_a_t(2:47)/ I_5_a_t(1) - 1 ) *100),'y--','LineWidth',1,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( I_6_a_t(2:47)/ I_6_a_t(1) - 1 ) *100),'m--','LineWidth',1,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( I_7_a_t(2:47)/ I_7_a_t(1) - 1 ) *100),'k*','LineWidth',1,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( I_8_a_t(2:47)/ I_8_a_t(1) - 1 ) *100),'b*','LineWidth',1,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( I_9_a_t(2:47)/ I_9_a_t(1) - 1 ) *100),'g*','LineWidth',2.5,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( I_10_a_t(2:47)/ I_10_a_t(1) - 1 ) *100),'m*','LineWidth',1,'MarkerSize',3); hold off   
   title('Investment I^{a}_t','FontSize',11,'FontWeight','Bold');
   xlabel ('Years'); ylabel('% from st.st.');

subplot (2,2,4); 
 plot(2005:1:2050, ( ( ZZ_1_a_t(2:47)/ ZZ_1_a_t(1) - 1 ) *100),'k--','LineWidth',1,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( ZZ_2_a_t(2:47)/ ZZ_2_a_t(1) - 1 ) *100),'g--','LineWidth',1,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( ZZ_3_a_t(2:47)/ ZZ_3_a_t(1) - 1 ) *100),'b--','LineWidth',1,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( ZZ_4_a_t(2:47)/ ZZ_4_a_t(1) - 1 ) *100),'r-*','LineWidth',2,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( ZZ_5_a_t(2:47)/ ZZ_5_a_t(1) - 1 ) *100),'y--','LineWidth',1,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( ZZ_6_a_t(2:47)/ ZZ_6_a_t(1) - 1 ) *100),'m--','LineWidth',1,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( ZZ_7_a_t(2:47)/ ZZ_7_a_t(1) - 1 ) *100),'k*','LineWidth',1,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( ZZ_8_a_t(2:47)/ ZZ_8_a_t(1) - 1 ) *100),'b*','LineWidth',1,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( ZZ_9_a_t(2:47)/ ZZ_9_a_t(1) - 1 ) *100),'g*','LineWidth',2.5,'MarkerSize',3); hold on
 plot(2005:1:2050, ( ( ZZ_10_a_t(2:47)/ ZZ_10_a_t(1) - 1 ) *100),'m*','LineWidth',1,'MarkerSize',3); hold off   
 title('Emissions ZZ^{a}_t','FontSize',11,'FontWeight','Bold');
   xlabel ('Years');  ylabel('% from baseline');

   
 h_legend=legend('Agriculture','Mining and quarrying','Manufacturing','Energy','Construction', 'Trade, transportation and accomodation', ...
     'Information and communication technology','Professional and administrative services', 'Arts, entertainment and other services', 'Orientation','horizontal','Location','SouthOutside','NumColumns',2, 'Position',[0.229687524438347 0.00362453558279717 0.58958331734563 0.104880578576095]);
    pos = get(h_legend,'Position');
     pos(1) = 0.62; pos(2) = 0.16; pos(3) = 0.25; pos(4) = 0.065;
    set(h_legend,'Position',pos);
    set(h_legend,'FontSize',11,'FontWeight','Bold');
    sgtitle('Sectoral variables, five-sector model, flexible prices');
       
    dim = [16,9];
    set(gcf,'paperpositionmode','manual','paperunits','inches');
    set(gcf,'papersize',dim,'paperposition',[0,0,dim]);
    print(gcf,'-dpdf','TenS_FlexPrice_Sectors');