model;

// ######################################################################### 
// Climate variables
// #########################################################################

@#for co in country 
// P_EM_@{co}_t-P_EM_@{co}_ts = 0.9*(P_EM_@{co}_t(-1)-P_EM_@{co}_ts) + shock_P_EM_@{co}_t; 
P_EM_@{co}_t = P_EM_@{co}_ts  + shock_P_EM_@{co}_t ;
@#endfor

@#for co in country 
EM_@{co}_t = (1-rho_EM)*EM_@{co}_t(-1) + ZZ_@{co}_t;
@#endfor


EM_t = (
@#for co in country 
+ EM_@{co}_t
@#endfor
);


@#for co in country 
Pen_@{co}_t = gama0_@{co} + gama1_@{co}*EM_@{co}_t + gama2_@{co}*EM_@{co}_t^2;
ZZ_@{co}_t = carb_int_@{co}*Y_@{co}_t;
@#endfor

// ######################################################################### 
// Domestic aggregates
// #########################################################################

@#for co in country 
log(R_@{co}_t/R_@{co}_ts) = taylor_r*log(R_@{co}_t(-1)/R_@{co}_ts) + (1-taylor_r)*taylor_pi*log(pi_cpi_@{co}_t) +  (1-taylor_r)*taylor_dy*log(Y_@{co}_t/Y_@{co}_t(-1)); 

K_@{co}_t = (1-delta)*K_@{co}_t(-1) + I_@{co}_t;

lambda_@{co}_t = C_@{co}_t^(-sig);

1 = betta*lambda_@{co}_t(+1)/lambda_@{co}_t*R_@{co}_t/pi_cpi_@{co}_t(+1);

1 = betta*lambda_@{co}_t(+1)/lambda_@{co}_t*(rk_@{co}_t(+1)+(1-delta));

lambda_@{co}_t*w_@{co}_t = kappaN_@{co}*N_@{co}_t^lab_@{co};

C_@{co}_t + I_@{co}_t = K_@{co}_t(-1) * rk_@{co}_t + w_@{co}_t * N_@{co}_t + EM_cost_@{co}_t * Y_@{co}_t + profits_@{co}_t;

profits_@{co}_t = Y_@{co}_t*(1-kappap_@{co}/2*(pi_ppi_@{co}_@{co}_t-1)^2) - rk_@{co}_t * K_@{co}_t - w_@{co}_t * N_@{co}_t - P_EM_@{co}_t *(1+shock_carb_int_@{co}_t) * carb_int_@{co} * Y_@{co}_t;

Y_@{co}_t = epsi_@{co}_t*(1-Pen_@{co}_t)*(N_@{co}_t^alphaN_@{co}*K_@{co}_t(-1)^(1-alphaN_@{co}));

log(epsi_@{co}_t/epsi_@{co}_ts) = rho_eps_@{co}*log(epsi_@{co}_t(-1)/epsi_@{co}_ts) - shock_epsi_@{co}_t;

EM_cost_@{co}_t = P_EM_@{co}_t *(1+shock_carb_int_@{co}_t)* carb_int_@{co};
mc_tild_@{co}_t = EM_cost_@{co}_t + mc_@{co}_t;

pi_cpi_@{co}_t = pi_ppi_@{co}_@{co}_t;
1-thetap_@{co}+thetap_@{co}*mc_tild_@{co}_t+ betta*lambda_@{co}_t(+1)/lambda_@{co}_t*kappap_@{co}*(pi_ppi_@{co}_@{co}_t(+1)-1)*pi_ppi_@{co}_@{co}_t(+1)*Y_@{co}_t(+1)/Y_@{co}_t = kappap_@{co}*(pi_ppi_@{co}_@{co}_t-1)*pi_ppi_@{co}_@{co}_t;

w_@{co}_t  = alphaN_@{co}*mc_@{co}_t*Y_@{co}_t/N_@{co}_t;
rk_@{co}_t = (1-alphaN_@{co})*mc_@{co}_t*Y_@{co}_t/K_@{co}_t(-1);
@#endfor

end;