%% Figures Macro

f = figure;
subplot (3,3,1); 
   plot(2005:2050, ( ( Y_a_t(2:47)/ Y_a_t(1) - 1 ) *100),'Color',[1 0.5 0],'LineStyle','-.','LineStyle','-.','LineWidth',2.5,'MarkerSize',3);
   title('Output Y^{a}_t','FontSize',11,'FontWeight','Bold');
   xlabel ('Quarters');
   ylabel('% from st.st.');
subplot (3,3,2); 
   plot(2005:2050, ( ( C_a_t(2:47)/ C_a_t(1) - 1 ) *100),'Color',[1 0.5 0],'LineStyle','-.','LineWidth',2.5,'MarkerSize',3);
   title('Consumption C^{a}_t','FontSize',11,'FontWeight','Bold');
   xlabel ('Quarters');   ylabel('% from st.st.');

subplot (3,3,3); 
   plot(2005:2050, (( I_a_t(2:47)/ I_a_t(1) - 1 ) *100),'Color',[1 0.5 0],'LineStyle','-.','LineWidth',2.5,'MarkerSize',3);
   title('Investment I^{a}_t','FontSize',11,'FontWeight','Bold');
   xlabel ('Quarters'); ylabel('% from st.st.');

subplot (3,3,4); 
   plot(2005:2050,(( N_a_t(2:47)/ N_a_t(1) - 1 ) *100),'Color',[1 0.5 0],'LineStyle','-.','LineWidth',2.5,'MarkerSize',3);
   title('Employment N^{a}_t','FontSize',11,'FontWeight','Bold');
   xlabel ('Quarters');    ylabel('% from st.st.');

subplot (3,3,5); 
   plot(2005:2050,( ( w_a_t(2:47)/ w_a_t(1) - 1 ) *100),'Color',[1 0.5 0],'LineStyle','-.','LineWidth',2.5,'MarkerSize',3);
   title('Gross wages w^{a}_t','FontSize',11,'FontWeight','Bold');
   xlabel ('Quarters');   ylabel('% from st.st.');
   
subplot (3,3,6); 
   plot(2005:2050, ( ( rk_a_t(2:47)) *100),'Color',[1 0.5 0],'LineStyle','-.','LineWidth',2.5,'MarkerSize',3);
   title('Capital interest r^{k,a}_t','FontSize',11,'FontWeight','Bold');
   xlabel ('Quarters');   ylabel('APR');
   
subplot (3,3,7); 
   plot(2005:2050, ( ( ZZ_a_t(2:47)/ ZZ_a_t(1) - 1 ) *100),'Color',[1 0.5 0],'LineStyle','-.','LineWidth',2.5,'MarkerSize',3);
   title('Emissions (Flow)','FontSize',11,'FontWeight','Bold');
   xlabel ('Quarters');   ylabel('% from st.st., normalized to unity');
 
subplot (3,3,8); 
   plot(2005:2050, ( ( P_EM_a_t(2:47)/ P_EM_a_t(1) )) ,'Color',[1 0.5 0],'LineStyle','-.','LineWidth',2.5,'MarkerSize',3);
   legend('FiveS-Model','Location','SouthOutside');
   title('Emissions price P^{EM}_t','FontSize',11,'FontWeight','Bold');
   xlabel ('Quarters');   ylabel('Index');

subplot (3,3,9); 
   plot(2005:2050, P_EM_a_t(2:47).*ZZ_a_t(2:47)./Y_a_t(2:47) ,'Color',[1 0.5 0],'LineStyle','-.','LineWidth',2.5,'MarkerSize',3);
   title('Emissions cost share of GDP','FontSize',11,'FontWeight','Bold');
   xlabel ('Quarters');   ylabel('% from st.st., normalized to unity');
   
sgtitle('Aggregate variables, one-sector model, flexible prices');


dim = [16,9];
set(gcf,'paperpositionmode','manual','paperunits','inches');
set(gcf,'papersize',dim,'paperposition',[0,0,dim]);
print(gcf,'-dpdf','OS_FlexPrice_Aggregates');